Method: subscriptions.delete

Google Workspace サブスクリプションを削除します。このメソッドの使用方法については、Google Workspace サブスクリプションを削除するをご覧ください。

HTTP リクエスト

DELETE https://workspaceevents.googleapis.com/v1/{name=subscriptions/*}

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
name

string

必須。削除するサブスクリプションのリソース名。

形式: subscriptions/{subscription}

クエリ パラメータ

パラメータ
validateOnly

boolean

省略可。true に設定すると、リクエストを検証してプレビューしますが、サブスクリプションは削除されません。

allowMissing

boolean

省略可。true に設定されていてサブスクリプションが見つからない場合、リクエストは成功しますが、サブスクリプションは削除されません。

etag

string

省略可。サブスクリプションの ETag。

指定する場合は、サーバーの ETag と一致する必要があります。一致しない場合、リクエストはステータス ABORTED で失敗します。

リクエストの本文

リクエストの本文は空にする必要があります。

レスポンスの本文

成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。

  • metadata フィールドには空の配列が含まれます。
  • response フィールドは空です。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/chat.bot
  • https://www.googleapis.com/auth/chat.spaces
  • https://www.googleapis.com/auth/chat.spaces.readonly
  • https://www.googleapis.com/auth/chat.messages
  • https://www.googleapis.com/auth/chat.messages.readonly
  • https://www.googleapis.com/auth/chat.messages.reactions
  • https://www.googleapis.com/auth/chat.messages.reactions.readonly
  • https://www.googleapis.com/auth/chat.memberships
  • https://www.googleapis.com/auth/chat.memberships.readonly
  • https://www.googleapis.com/auth/meetings.space.created
  • https://www.googleapis.com/auth/meetings.space.readonly
  • https://www.googleapis.com/auth/drive
  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/drive.metadata
  • https://www.googleapis.com/auth/drive.metadata.readonly
  • https://www.googleapis.com/auth/drive.readonly

詳細については、認可ガイドをご覧ください。